A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
getStrides
ArrayFire Functions by Category » Functions to work with internal array layout

## Functions
AFAPI dim4 | getStrides (const array &in)
AFAPI af_err | af_get_strides (dim_t *s0, dim_t *s1, dim_t *s2, dim_t *s3, const af_array arr)

## Detailed Description

Get strides of underlying data.

## Function Documentation

## ◆ af_get_strides()

AFAPI af_err af_get_strides | ( | dim_t * | s0,
|  | dim_t * | s1,
|  | dim_t * | s2,
|  | dim_t * | s3,
|  | const af_array | arr )

Parameters

  [in] | arr | An multi dimensional array.
  [out] | s0 | distance between each consecutive element along first dimension.
  [out] | s1 | distance between each consecutive element along second dimension.
  [out] | s2 | distance between each consecutive element along third dimension.
  [out] | s3 | distance between each consecutive element along fourth dimension.

## ◆ getStrides()

AFAPI dim4 getStrides | ( | const array & | in | ) |

Parameters

  [in] | in | An multi dimensional array.

Returns
  af::dim4() containing distance between consecutive elements in each dimension.